LibreOffice: XPluginInstancePeer Interface Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XPluginInstancePeer Interface Referencepublished

Allows to communicate with a plugin from the office side. More...

`import"XPluginInstancePeer.idl";`

Inheritance diagram for XPluginInstancePeer:

## Public Member Functions
boolean | setWindowSize ([in] long width, [in] long height)
| Alters the plugin's window size in the browser window. More...
void | showStatusMessage ([in] string message)
| Show status / hint message in browser's message area. More...
void | enableScripting ([in] com::sun::star::uno::XInterface document, [in] com::sun::star::lang::XMultiServiceFactory servicemanager)
| Indicates to the plugin that the document was loaded successfully and scripting interfaces are now available. More...
void | newStream ([in] string MIMEDesc, [in] string target, [in] com::sun::star::io::XActiveDataSource data)
| Creates a new stream of data produced by the plug-in and consumed by the browser. More...
void | getURL ([in] string aURL, [in] string target, [in] string alternativeHost, [in] string referrer, [in] XPluginInstanceNotifySink sink)
| Fetches an URL into the target window. More...
void | postURL ([in] string aURL, [in] com::sun::star::io::XInputStream postData, [in] string target, [in] string alternativeHost, [in] string referrer, [in] com::sun::star::io::XInputStream postHeaders, [in] XPluginInstanceNotifySink sink)
| Posts to a URL with post data and/or post headers. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Allows to communicate with a plugin from the office side.

This interface is oriented for communication with browsers plugins.

## Member Function Documentation

void enableScripting | ( | [in] com::sun::star::uno::XInterface | document,
|  | [in] com::sun::star::lang::XMultiServiceFactory | servicemanager
| ) |  |

Indicates to the plugin that the document was loaded successfully and scripting interfaces are now available.

Parameters

  document | [in]: the active document
  servicemanager | [in]: the office servicemanager

void getURL | ( | [in] string | aURL,
|  | [in] string | target,
|  | [in] string | alternativeHost,
|  | [in] string | referrer,
|  | [in] XPluginInstanceNotifySink | sink
| ) |  |

Fetches an URL into the target window.

The parameters and their meaning map to the corresponding Netscape-API call.

Parameters

  aURL | [in]: the URL to be fetched
  target | [in]: the name of the target window or frame (supports _blank, _self)
  alternativeHost | [in]: alternativeHost
  referrer | [in]: referrer
  sink | [in]: the sink is notified on success

void newStream | ( | [in] string | MIMEDesc,
|  | [in] string | target,
|  | [in] com::sun::star::io::XActiveDataSource | data
| ) |  |

Creates a new stream of data produced by the plug-in and consumed by the browser.

Parameters

  MIMEDesc | [in]: the MIME type of the plug-in to create
  target | [in]: the name of the target window or frame (supports _blank, _self)
  data | [in]: on success the output stream will be associated with this instance

void postURL | ( | [in] string | aURL,
|  | [in] com::sun::star::io::XInputStream | postData,
|  | [in] string | target,
|  | [in] string | alternativeHost,
|  | [in] string | referrer,
|  | [in] com::sun::star::io::XInputStream | postHeaders,
|  | [in] XPluginInstanceNotifySink | sink
| ) |  |

Posts to a URL with post data and/or post headers.

The parameters and their meaning map to the corresponding Netscape-API call.

Parameters

  aURL | [in]: the URL to be posted to
  postData | [in]: the data to be posted
  target | [in]: the name of the target window or frame (supports _blank, _self)
  alternativeHost | [in]: alternativeHost
  referrer | [in]: referrer
  postHeaders | [in]: the header to be posted
  sink | [in]: the sink is notified on success

boolean setWindowSize | ( | [in] long | width,
|  | [in] long | height
| ) |  |

Alters the plugin's window size in the browser window.

Parameters

  width | [in]: the new window width
  height | [in]: the new window height

Returns
  `TRUE` on success

void showStatusMessage | ( | [in] string | message | ) |

Show status / hint message in browser's message area.

Parameters

  message | [in]: the string to be displayed

The documentation for this interface was generated from the following file:

- com/sun/star/mozilla/XPluginInstancePeer.idl